请选择 进入手机版 | 继续访问电脑版
查看: 4886|回复: 5

[问题求助] 只有1.31可以用lua么?怎么用?

[复制链接]

1

主题

3

帖子

11

积分

新手上路

Rank: 1

积分
11
 楼主| 发表于 2019-8-14 14:23:08 | 显示全部楼层 |阅读模式
是不是只有1.31 才可以使用lua ?我刚从平台下载的1.31版魔兽 ,从编辑器里的情节中 修改了 Script 为 lua  。然后应该怎么办?
回复

使用道具 举报

39

主题

235

帖子

15万

积分

超级版主

Rank: 8Rank: 8

积分
159189
发表于 2019-8-14 15:11:24 | 显示全部楼层
1.31之前就可以用lua的
1.31仍按常规方法使用即可,但不支持jass和lua混用
回复 支持 反对

使用道具 举报

1

主题

3

帖子

11

积分

新手上路

Rank: 1

积分
11
 楼主| 发表于 2019-8-14 16:27:16 | 显示全部楼层
凤凰院凶真 发表于 2019-8-14 15:11
1.31之前就可以用lua的
1.31仍按常规方法使用即可,但不支持jass和lua混用

常规方法是啥啊? 有教程么? 好久没有接触了,上一次用的时候 还是 内置API 。DZ都没用过。
回复 支持 反对

使用道具 举报

0

主题

1

帖子

8

积分

新手上路

Rank: 1

积分
8
发表于 2019-8-22 09:42:49 | 显示全部楼层
本帖最后由 Bucky 于 2019-8-22 10:24 编辑

请问什么地方可以找到官方提供/支持的lua的API清单/文档,谢谢
(网上搜索相关关键词lua warcraft war3 api只能找到魔兽世界的Lua Api接口文档[水平有限])

回复 支持 反对

使用道具 举报

1

主题

3

帖子

11

积分

新手上路

Rank: 1

积分
11
 楼主| 发表于 2019-8-25 01:22:04 | 显示全部楼层
Bucky 发表于 2019-8-22 09:42
请问什么地方可以找到官方提供/支持的lua的API清单/文档,谢谢
(网上搜索相关关键词lua warcraft war3 api ...

就是照着jass用。没有什么lua的.
回复 支持 反对

使用道具 举报

39

主题

235

帖子

15万

积分

超级版主

Rank: 8Rank: 8

积分
159189
发表于 2019-8-26 09:56:38 | 显示全部楼层
龙舌兰姑娘 发表于 2019-8-25 01:22
就是照着jass用。没有什么lua的.

lua1.27和1.31都有的哦 只不过方法可能不一样
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

魔兽争霸官方对战平台 ( 互联网违法和不良信息举报电话:0571-28090163 )

GMT+8, 2022-7-3 23:20 , Processed in 0.054122 second(s), 6 queries , Redis On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表